JTicketing 2.4.2 Stable

Released on: Monday, 20 May 2019 05:30

Release notes and changelog:


JTicketing-2.4.2 - Release Notes

Special Announcement:

This is a maintenance release to ensure all extensions using 'Techjoomla common library code' function smoothly on the same site. If you are using JGive or Quick2cart or Shika along with JTicketing on the same site, please ensure you upgrade all of these to make those work together.

Compatibility at the time of release:

  • Joomla v3.8.13, v3.9.x
  • PHP v5.6.x, v7.0.x, v7.1.x, v7.2.x
  • CB v2.2.1
  • EasySocial v3.0.2
  • Jomsocial v4.6.0
  • JEvent v3.4.50

New Installation Instructions:

  • Download the latest version of the JTicketing from the Techjoomla website
  • Install the downloaded JTicketing using the Joomla Extension installer

Upgrade Instructions:

Note: If you are upgrading fromJTicketing version older than v2.0, read the following notes:

  • Take a complete backup of your site using tools like 'Akeeba Backup' before installing or upgrading.
  • Since we have moved all media assets (css, js, images etc) to media folder, please backup your CSS / JS file changes, if any, before upgrading.
  • Install JTicketing 2.0 - To upgrade to this version, need to click on JTicketing Dashboard - Migrate-Data (For TJVendor and image migration)
  • Install JTicketing 2.1 - For Notification templates
  • Download the latest version of the JTicketing from the Techjoomla website
  • Install the downloaded JTicketing using the Joomla Extension installer
  • After installation/upgrading configure JTicketing options once.

Follow this If you are upgrading from the previous version i.e. v2.4.1 of JTicketing

  • Make sure you take a complete backup of your site using tools like 'Akeeba Backup' before installing or upgrading.
  • Download the latest version of the JTicketing from the Techjoomla website 
  • Install the downloaded JTicketing using the Joomla Extension installer

For more details read Installation and upgrade instructions


Changelog for JTicketing v2.4.2

Compatible with Joomla! 3.9.1, PHP 7.0.x, 7.2.x (at the time of release)

- Bugs(5)

  • #140844 EasySocial integration - My Ticket purchase app - Getting a fatal error
  • #141702 Integration event - on single ticket purchase, view ticket button not displays
  • #143350 [Event list view-frontend]- Shows notice on the event list view
  • #144773 PHP compatibility issue - in case of unlimited seats getting tickets are sold out
  • #144791 [Enroll ]-Enroll email displaying last name tag

Download release files:


No files were found.

Either you are not logged in Or
You do not have access to download this extension Or
You had a subscription but it is expired